<?php
/**
 * The ciresults entry point of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2021 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     entries
 * @version     1
 * @link        http://www.zentao.net
 */
class ciresultsRestfulEntry extends Entry
{
    /**
     * POST method.
     *
     * @access public
     * @return void
     */
    public function post()
    {
        $params = file_get_contents("php://input");
        $params = json_decode($params);
        foreach($params as $key =>$param)
        {
            $this->setPost($key, $param);
        }
        $this->loadModel('testtask');
        $control = $this->loadController('ci', 'commitResult');
        if(!empty($params->name)){
            $control->lang->testtask->titleOfAuto = $params->name;
        }
        $control->commitResult();
        
        $data = $this->getData();
        if(isset($data->result) and $data->result == 'fail') return $this->sendError(400, $data->message);
        
        $this->send(200, $data);
    }
}
