<?php
include dirname(dirname(dirname(__FILE__))) . '/lib/restfulapi/entry.restful.class.php';
/**
 * The options entry point of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2021 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL(http://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     entries
 * @version     1
 * @link        http://www.zentao.net
 */

class optionsRestful extends entryRestful
{
    /**
     * GET method.
     *
     * @param  string $type
     * @access public
     * @return void
     */
    public function get($type = '', $product = 0)
    {
        $type = $this->param('type', '');

        if(!$type) return $this->sendError(400, 'error');

        $options = array();
        switch($type)
        {
            case 'bug':
                $this->app->loadLang('bug');
                $options['type']     = $this->lang->bug->typeList;
                $options['pri']      = $this->lang->bug->priList;
                $options['severity'] = $this->lang->bug->severityList;

                $options['modules'] = new stdclass();
                $product = $this->param('product', 0);
                if($product) $options['modules'] = $this->loadModel('tree')->getOptionMenu($product, 'bug');

                $options['build'] = $this->loadModel('build')->getProductBuildPairs($product);

                break;
        }

        return $this->send(200, array('options' => $options));
    }

}
