<?php
include dirname(dirname(dirname(__FILE__))) . '/lib/restfulapi/entry.restful.class.php';
/**
 * The testsuites entry point of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2021 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL(http://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Chunsheng Wang <chunsheng@cnezsoft.com>
 * @package     entries
 * @version     1
 * @link        http://www.zentao.net
 */
class testSuitesRestful extends entryRestful
{
    /**
     * GET method.
     *
     * @param  int    $productID
     * @access public
     * @return void
     */
    public function get($productID = 0)
    {
        if(empty($productID)) $productID = $this->param('product', 0);
        if(empty($productID)) return $this->sendError(400, 'Need product id.');

        $control = $this->loadController('testsuite', 'browse');
        $control->browse($productID, $this->param('order', 'id_desc'), 0, $this->param('limit', 10000), $this->param('page', 1));

        $data = $this->getData();
        if(isset($data->status) and $data->status == 'success')
        {
            $suites = $data->data->suites;
            $pager  = $data->data->pager;
            $result = array();
            foreach($suites as $suite)
            {
                $suite->id = intval($suite->id);
                $result[] = $this->format($suite, 'addedBy:user,addedDate:time,lastEditedBy:user,lastEditedDate:time,deleted:bool');
            }

            return $this->send(200, array('page' => $pager->pageID, 'total' => $pager->recTotal, 'limit' => $pager->recPerPage, 'testsuites' => $result));
        }

        if(isset($data->status) and $data->status == 'fail') return $this->sendError(zget($data, 'code', 400), $data->message);
        return $this->sendError(400, 'error');
    }
}

